
! **********************************************************************************************
! RMChart class
! **********************************************************************************************
RMChartDataQueue QUEUE,TYPE
DataValue           REAL
                 END

RMChart        CLASS,Type,MODULE('RMCCHARTDEMO.LIB'),LINK('RMCCHARTDEMO.LIB')
              ! Properties -----------------------------------------------------------------------
CtrlId              LONG(1)
BackColor           LONG(0)
CtrlStyle           LONG(0)
ExportOnly          LONG(false)
BgImage             STRING(128)
FontName            STRING(128)
BitmapBKColor       LONG(0)

              ! Methods -------------------------------------------------------------------------
Construct                  Procedure()              
Init                       Procedure(Short ChartControl),LONG,VIRTUAL,PROC
CreateChartOnRegion        Procedure(Short ChartControl, LONG BackColor = 0, LONG CtrlStyle = 0, LONG ExportOnly =0 , |
                           <STRING BgImage>, <STRING FontName>, LONG BitmapBKColor =0 ),LONG,VIRTUAL,PROC
CreateChartOnRegionI       Procedure(Short ChartControl, *GROUP T),LONG,VIRTUAL,PROC
AddBarSeries               Procedure(LONG Region, <*REAL[] nFirstDataValue>, LONG DataValuesCount = 0, LONG nType = 0, |
                           LONG nStyle = 0, LONG nIsLucent = 0, LONG nColor = 0, LONG nIsHorizontal = 0, LONG nWhichDataAxis = 0, |
                           LONG nValueLabelOn = 0, LONG nPointsPerColumn = 0, LONG nHatchMode = 0),LONG,VIRTUAL,PROC
AddBarSeriesI              Procedure(LONG Region, *REAL[] nFirstDataValue, LONG DataValuesCount, *GROUP T),LONG,VIRTUAL,PROC
AddCaption                 Procedure(LONG Region, STRING Caption, LONG BackColor=0,LONG TextColor=0, LONG Fontsize=0, LONG Fontbold=0),LONG,VIRTUAL,PROC
AddCaptionI                Procedure(LONG nRegion, *GROUP T),LONG,VIRTUAL,PROC
AddDataAxis                Procedure(LONG Region, LONG Alignment= 0, REAL Minvalue = 0, REAL nMaxvalue=0, LONG Tickcount=0, LONG Fontsize=0, |
                                     LONG Textcolor=0, LONG Linecolor=0, LONG linestyle=0, LONG DecimalDigits=0, <STRING Unit>, <STRING sText>, |
                                     <STRING Labels>, LONG LabelAlignment=0),LONG,VIRTUAL,PROC
AddDataAxisI               Procedure(LONG Region, *GROUP T),LONG,VIRTUAL,PROC
AddGrid                    Procedure(LONG Region, LONG BackColor = 0, LONG AsGradient=0,LONG nLeft=0, LONG nTop=0, LONG nWidth=0, LONG nHeight=0,LONG BiColor=0),LONG,VIRTUAL,PROC
AddGridI                   Procedure(LONG Region, *GROUP T),LONG,VIRTUAL,PROC
AddGridlessSeries          Procedure(LONG nRegion, <*REAL[] nFirstDataValue>, LONG nDataValuesCount = 0, LONG nFirstColorValue = 0, LONG nColorValuesCount = 0, |
                                     LONG nStyle = 0, LONG nAlignment = 0, LONG nExplodemode = 0, LONG nIsLucent = 0, LONG nValueLabelOn = 0, |
                                     LONG nHatchMode = 0, LONG nStartAngle = 0),LONG,VIRTUAL,PROC
AddGridlessSeriesI         Procedure(LONG Region, *REAL[] nFirstDataValue, LONG nDataValuesCount, *LONG[] nFirstColorValue, LONG nColorValuesCount, *GROUP T),LONG,VIRTUAL,PROC
AddLabelAxis               Procedure(LONG Region, STRING Labels, LONG AxisCount=0, LONG Tickcount=0, LONG Alignment=0, LONG Fontsize=0, |
                                     LONG Textcolor=0, LONG Textalignment=0, LONG Linecolor=0, LONG Linestyle=0, <STRING sText>),LONG,VIRTUAL,PROC
AddLabelAxisI              Procedure(LONG Region, STRING Labels, *GROUP T),LONG,VIRTUAL,PROC
AddLegend                  Procedure(LONG nRegion, STRING sLegendtext, LONG nAlignment = 0, LONG nBackColor = 0, LONG nStyle = 0, LONG nTextColor = 0, |
                           LONG nFontsize = 0, LONG nFontbold = 0),LONG,VIRTUAL,PROC
AddLegendI                 Procedure(LONG nRegion, STRING sLegendtext, *GROUP T),LONG,VIRTUAL,PROC
AddLineSeries              Procedure(LONG Region, <*RMChartDataQueue pQ>, LONG Type=0, LONG Style=0, LONG LineStyle=0, LONG IsLucent=0, |
                                     LONG Color=0, LONG Symbol=0, LONG WhichDataAxis=0, LONG ValueLabelOn=0, LONG HatchMode=0),LONG,VIRTUAL,PROC
AddLineSeries              Procedure(LONG Region, <*REAL[] nFirstDataValue>, LONG nDataValuesCount = 0, LONG nFirstPPCValue = 0, LONG nPPCValuesCount = 0, |
                                     LONG Type=0, LONG Style=0, LONG LineStyle=0, LONG IsLucent=0, |
                                     LONG Color=0, LONG Symbol=0, LONG WhichDataAxis=0, LONG ValueLabelOn=0, LONG HatchMode=0),LONG,VIRTUAL,PROC
AddLineSeriesI             Procedure(LONG Region, *REAL[] nFirstDataValue, LONG nDataValuesCount, *LONG[] nFirstPPCValue, LONG nPPCValuesCount, *GROUP T),LONG,VIRTUAL,PROC
AddRegion                  Procedure(LONG nLeft=0, LONG nTop=0, LONG nWidth=0, LONG nHeight=0, <STRING sFooter>, LONG nShowBorder=0),LONG,VIRTUAL,PROC
AddRegionI                 Procedure(*GROUP T),LONG,VIRTUAL,PROC
AddToolTips                Procedure(LONG hWnd, LONG nWidth = 0),LONG,VIRTUAL,PROC
AddXAxis                   Procedure(LONG nRegion, LONG nAlignment = 0, REAL nMinvalue = 0, REAL nMaxvalue = 0, LONG nTickcount = 0, LONG nFontsize = 0, |
                                     LONG nTextcolor = 0, LONG nLinecolor = 0, LONG nLinestyle = 0, LONG nDecimalDigits = 0, <STRING sUnit>, |
                                     <STRING sText>, <STRING sLabels>, LONG nLabelAlignment = 0),LONG,VIRTUAL,PROC
AddXAxisI                  Procedure(LONG nRegion, *GROUP T),LONG,VIRTUAL,PROC
AddYAxisI                  Procedure(LONG nRegion, *GROUP T),LONG,VIRTUAL,PROC
AddYAxis                   Procedure(LONG nRegion, LONG nAlignment = 0, REAL nMinvalue = 0, REAL nMaxvalue = 0, LONG nTickcount = 0, LONG nFontsize = 0, |
                                     LONG nTextcolor = 0, LONG nLinecolor = 0, LONG nLinestyle = 0, LONG nDecimalDigits = 0, <STRING sUnit>, |
                                     <STRING sText>, <STRING sLabels>, LONG nLabelAlignment = 0),LONG,VIRTUAL,PROC
AddXYSeries                Procedure(LONG nRegion, <*REAL[] nFirstXDataValue>, LONG nDataXValuesCount = 0, <*REAL[] nFirstYDataValue>, LONG nDataYValuesCount = 0, |
                                     LONG nColor = 0, LONG nStyle = 0, LONG nLineStyle = 0, LONG nSymbol = 0, LONG nWhichXAxis = 0, LONG nWhichYAxis = 0, |
                                     LONG nValueLabelOn = 0),LONG,VIRTUAL,PROC
AddXYSeriesI               Procedure(LONG nRegion, *REAL[] nFirstXDataValue, LONG nDataXValuesCount = 0, *REAL[] nFirstYDataValue, LONG nDataYValuesCount = 0, *GROUP T),LONG,VIRTUAL,PROC
CalcAverage                Procedure(LONG nRegion, LONG nSeriesIndex, *REAL nAverage, *LONG nXStart, *LONG nYStart, *LONG nXEnd, |
                           *LONG nYend, <STRING sHighLowIndex>),LONG,VIRTUAL,PROC
CalcTrend                  Procedure(LONG nRegion, LONG nSeriesIndex, *REAL nFirstValue, *REAL nLastValue, *LONG nXStart, *LONG nYStart, *LONG nXEnd, |
                                     *LONG nYend, <STRING sHighLowIndex>),LONG,VIRTUAL,PROC
CODash                     Procedure(LONG nCOIndex, LONG nXStart, LONG nYStart, LONG nXEnd, LONG nYEnd, LONG nStyle = 0, LONG nColor = 0, |
                           LONG nAsSpline = 0, LONG nLineWidth = 0, LONG nStartCap = 0, LONG nEndCap = 0),LONG,VIRTUAL,PROC
COLine                     Procedure(LONG nCOIndex, *LONG[] nXPoints, *LONG[] nYPoints, LONG nPointsCount, LONG nStyle = 0, |
                           LONG nColor = 0, LONG nAsSpline = 0, LONG nLineWidth = 0, LONG nStartCap = 0, LONG nEndCap = 0),LONG,VIRTUAL,PROC
COText                     Procedure(LONG nCOIndex, STRING sText, LONG nLeft, LONG nTop, LONG nWidth = 0, LONG nHeight = 0, LONG nStyle = 0, |
                           LONG nBGColor = 0, LONG nLineColor = 0, LONG nTransparency = 0, LONG nLineAlignment = 0, LONG nTextColor = 0, <STRING sTextProperties>),LONG,VIRTUAL,PROC
Draw                       Procedure(),LONG,VIRTUAL,PROC   
Draw2File                  Procedure(STRING FileName),VIRTUAL
Paint                      Procedure(),LONG,VIRTUAL,PROC
ReadDataFromFile           Procedure(*REAL[] aData, STRING sFileName, <STRING sLines>, <STRING sFields>, <STRING sFieldDelimiter>, LONG nReverse = 0),LONG,VIRTUAL,PROC
SetCustomToolTipText       Procedure(LONG nRegion, LONG nSeriesIndex, LONG nDataIndex, STRING sText),LONG,VIRTUAL,PROC
SetSeriesColor             Procedure(LONG nRegion, LONG nSeries, LONG nColor, LONG nIndex = 0),LONG,VIRTUAL,PROC
SetSeriesDataFile          Procedure(LONG nRegion, LONG nSeries,STRING sFileName, <STRING sLines>, <STRING sFields>, <STRING sFieldDelimiter>, LONG nYData = 0),LONG,VIRTUAL,PROC
SetSeriesSingleData        PROCEDURE(LONG nRegion, LONG nSeries, REAL nData,LONG nDataIndex, LONG nYData=0),LONG,VIRTUAL,PROC
SetWatermark               Procedure(STRING sWatermark, LONG nColor = 0, LONG nLucentValue = 0, LONG nAlignment = 0, LONG nFontSize = 0),LONG,VIRTUAL,PROC
ShowToolTips               Procedure(LONG nXPosition, LONG nYPosition),LONG,VIRTUAL,PROC

      END

